<!-- BEGIN MUNGE: UNVERSIONED_WARNING -->


<!-- END MUNGE: UNVERSIONED_WARNING -->

## kube-scheduler



### Synopsis


The Kubernetes scheduler is a policy-rich, topology-aware,
workload-specific function that significantly impacts availability, performance,
and capacity. The scheduler needs to take into account individual and collective
resource requirements, quality of service requirements, hardware/software/policy
constraints, affinity and anti-affinity specifications, data locality, inter-workload
interference, deadlines, and so on. Workload-specific requirements will be exposed
through the API as necessary.


### Options

```
      --address=<nil>: The IP address to serve on (set to 0.0.0.0 for all interfaces)
      --algorithm-provider="": The scheduling algorithm provider to use, one of: DefaultProvider
  -h, --help=false: help for kube-scheduler
      --kubeconfig="": Path to kubeconfig file with authorization and master location information.
      --master="": The address of the Kubernetes API server (overrides any value in kubeconfig)
      --policy-config-file="": File with scheduler policy configuration
      --port=0: The port that the scheduler's http service runs on
      --profiling=true: Enable profiling via web interface host:port/debug/pprof/
```

###### Auto generated by spf13/cobra at 2015-07-06 18:03:39.24859096 +0000 UTC




<!-- BEGIN MUNGE: IS_VERSIONED -->
  <!-- TAG IS_VERSIONED -->
  <!-- END MUNGE: IS_VERSIONED -->


<!-- BEGIN MUNGE: GENERATED_ANALYTICS -->
[![Analytics](https://kubernetes-site.appspot.com/UA-36037335-10/GitHub/docs/admin/kube-scheduler.md?pixel)]()
<!-- END MUNGE: GENERATED_ANALYTICS -->
